<?php

namespace webuccino\install\migrations;

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Capsule\Manager as Capsule;

class CreateMigrationsTable
{
    public $table;
    public $prefix;

    public function __construct()
    {
        $this->prefix = config_native('srm_config.installer.table_prefix', 'srm_');

        $this->table = $this->prefix . 'migrations';
    }

    public function getTableName()
    {
        return $this->table;
    }


    public function run()
    {

        Capsule::schema()->create($this->table, function (Blueprint $table) {
            $table->id('id');
            $table->string('migration', 255);
            $table->integer('batch');
            $table->timestamp('created_at')->useCurrent();
        });
    }
}
